RMIProvider (Axis API)
Keywords: org.apache.axis.providers.java.RMIProvider,RMIProvider class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.providers.java
Class RMIProvider

    java.lang.Object
      |
      +--org.apache.axis.handlers.BasicHandler
            |
            +--org.apache.axis.providers.BasicProvider
                  |
                  +--org.apache.axis.providers.java.JavaProvider
                        |
                        +--org.apache.axis.providers.java.RPCProvider
                              |
                              +--org.apache.axis.providers.java.RMIProvider

All Implemented Interfaces:
  Handler, java.io.Serializable

public class RMIProvider
extends RPCProvider

A basic RMI Provider

Author:
  Davanum Srinivas (dims@yahoo.com)
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` | `entLog`
`protected static org.apache.commons.logging.Log` | `log`
`static java.lang.String` | `OPTION_INTERFACE_CLASSNAME`
`static java.lang.String` | `OPTION_NAMING_LOOKUP`

Fields inherited from class org.apache.axis.providers.java.JavaProvider
`OPTION_ALLOWEDMETHODS, OPTION_CLASSNAME, OPTION_CLASSPATH, OPTION_IS_STATIC, OPTION_SCOPE, OPTION_WSDL_INPUTSCHEMA, OPTION_WSDL_PORTTYPE, OPTION_WSDL_SERVICEELEMENT, OPTION_WSDL_SERVICEPORT, OPTION_WSDL_TARGETNAMESPACE`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`RMIProvider()`

Method Summary
`protected java.lang.String` | `getServiceClassNameOptionName()` Return the option in the configuration that contains the service class name.
`protected java.lang.String` | `getStrOption(java.lang.String optionName, Handler service)` Get a String option by looking first in the service options, and then at the Handler's options.
`protected java.lang.Object` | `makeNewServiceObject(MessageContext msgContext, java.lang.String clsName)` Return a object which implements the service.

Methods inherited from class org.apache.axis.providers.java.RPCProvider
`checkMethodName, invokeMethod, processMessage`

Methods inherited from class org.apache.axis.providers.java.JavaProvider
`generateWSDL, getServiceClass, getServiceClassName, getServiceObject, initServiceDesc, invoke`

Methods inherited from class org.apache.axis.providers.BasicProvider
`addOperation, getOperationName, getOperationNames, getOperationQNames`

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

### entLog

    protected static org.apache.commons.logging.Log entLog

### OPTION_NAMING_LOOKUP

    public static final java.lang.String OPTION_NAMING_LOOKUP

See Also:
  Constant Field Values

### OPTION_INTERFACE_CLASSNAME

    public static final java.lang.String OPTION_INTERFACE_CLASSNAME

See Also:
  Constant Field Values

Constructor Detail

### RMIProvider

    public RMIProvider()

Method Detail

### makeNewServiceObject

    protected java.lang.Object makeNewServiceObject(MessageContext msgContext,
                                                    java.lang.String clsName)
                                             throws java.lang.Exception

  Return a object which implements the service.

  Overrides:
    `makeNewServiceObject` in class `JavaProvider`
  Parameters:
    `msgContext` - the message context
    `clsName` - The JNDI name of the EJB home class
  Returns:
    an object that implements the service
    `java.lang.Exception`

### getServiceClassNameOptionName

    protected java.lang.String getServiceClassNameOptionName()

  Return the option in the configuration that contains the service class name.

  Overrides:
    `getServiceClassNameOptionName` in class `JavaProvider`

### getStrOption

    protected java.lang.String getStrOption(java.lang.String optionName,
                                            Handler service)

  Get a String option by looking first in the service options, and then at the Handler's options. This allows defaults to be specified at the provider level, and then overriden for particular services.

  Parameters:
    `optionName` - the option to retrieve
  Returns:
    String the value of the option or null if not found in either scope

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.